import Layout from '@/layout/index.vue'
export default [
  {
    path: '/task',
    component: Layout,
    name: 'Task',
    redirect: '/task/task-manage',
    title: '任务管理',
    meta: {
      title: '任务管理',
      role: ['admin', 'flyer'],
      hideChild: true
    },
    children: [
      {
        path: 'task-manage',
        component: () => import('@/views/task-manage/index.vue'),
        name: 'TaskManage',
        title: '任务管理',
        meta: {
          title: '任务管理',
          role: ['admin', 'flyer']
        }
      }
    ]
  },
  {
    path: '/user',
    component: Layout,
    name: 'User',
    redirect: '/user/user-manage',
    title: '人员管理',
    meta: {
      title: '人员管理',
      role: ['admin'],
      hideChild: true
    },
    children: [
      {
        path: 'user-manage',
        component: () => import('@/views/user-manage/index.vue'),
        name: 'UserManage',
        title: '人员管理',
        meta: {
          title: '人员管理',
          role: ['admin']
        }
      }
    ]
  },
  {
    path: '/equipment',
    component: Layout,
    name: 'userManage',
    redirect: '/equipment/box-manage',
    title: '设备库',
    meta: {
      title: '设备库',
      role: ['admin']
    },
    children: [
      {
        path: 'box-manage',
        component: () => import('@/views/equipment-library/box-manage/index.vue'),
        name: 'EquipmentBox',
        title: '盒子管理',
        meta: {
          title: '盒子管理',
          role: ['admin']
        }
      },
      {
        path: 'mount-manage',
        component: () => import('@/views/equipment-library/mount-manage/index.vue'),
        name: 'EquipmentMount',
        title: '挂载设备',
        meta: {
          title: '挂载设备',
          role: ['admin']
        }
      },
      {
        path: 'uva-manage',
        component: () => import('@/views/equipment-library/uva-manage/index.vue'),
        name: 'EquipmentUVA',
        title: '无人机管理',
        meta: {
          title: '无人机管理',
          role: ['admin']
        }
      }
    ]
  },
  {
    path: '/system-manage',
    component: Layout,
    name: 'systemManage',
    redirect: '/system-manage/banner-manage',
    title: '系统配置',
    meta: {
      title: '系统配置',
      role: ['admin']
    },
    children: [
      {
        path: 'banner-manage',
        component: () => import('@/views/system-manage/banner-manage/index.vue'),
        name: 'bannerManage',
        title: '移动端横幅管理',
        meta: {
          title: '移动端横幅管理',
          role: ['admin']
        }
      }
      // {
      //   path: 'user',
      //   component: () => import('@/views/system-manage/user-manage/index.vue'),
      //   name: 'SystemUser',
      //   title: '用户管理',
      //   meta: {
      //     title: '用户管理'
      //   }
      // },
      // {
      //   path: 'role',
      //   component: () => import('@/views/system-manage/role-manage/index.vue'),
      //   name: 'SystemRole',
      //   title: '角色管理',
      //   meta: {
      //     title: '角色管理'
      //   }
      // },
      // {
      //   path: 'dept',
      //   component: () => import('@/views/system-manage/department-manage/index.vue'),
      //   name: 'SystemDept',
      //   title: '部门管理',
      //   meta: {
      //     title: '部门管理'
      //   }
      // },
      // {
      //   path: 'menu',
      //   component: () => import('@/views/system-manage/menu-manage/index.vue'),
      //   name: 'SystemMenu',
      //   title: '菜单管理',
      //   meta: {
      //     title: '菜单管理'
      //   }
      // }
    ]
  }
]

