import { reactive } from 'vue'
import { POWER_TYPE, FILE_TYPE } from '@/utils/dictionary.js'

export const form = reactive({
  uvaForm: {
    code: null,
    name: null,
    powerType: null,
    srtType: null,
    accuracy: null,
    manufacturer: null
  },
  uvaRules: {
    code: [{ required: true, message: '请输入设备编号', trigger: 'blur' }],
    name: [{ required: true, message: '请输入设备名称', type: 'string', trigger: 'blur' }],
    powerType: [{ required: true, type: 'number', message: '请选择动力类型', trigger: 'blur' }],
    srtType: [{ required: true, type: 'number', message: '请选择文件类型', trigger: 'blur' }],
    accuracy: [{ required: true, type: 'number', message: '请输入定位精度', trigger: 'blur' }],
    manufacturer: [{ required: true, message: '请输入生产厂家', trigger: 'blur' }]
  },
  formItem: [
    { type: 'input', key: 'code', label: '设备编号', props: { maxlength: '20', placeholder: '请输入设备编号', clearable: true }},
    { type: 'input', key: 'name', label: '设备名称', props: { maxlength: '20', placeholder: '请输入设备名称', clearable: true }},
    { type: 'select', key: 'powerType', label: '动力类型', props: { options: POWER_TYPE, clearable: true }},
    { type: 'select', key: 'srtType', label: '文件类型', props: { options: FILE_TYPE, clearable: true }},
    { type: 'number', key: 'accuracy', label: '定位精度', props: { min: 0, placeholder: '请输入通道编码', showButton: false, clearable: true }, suffix: '米' },
    { type: 'input', key: 'manufacturer', label: '生产厂家', props: { maxlength: '20', placeholder: '请输入生产厂家', clearable: true }}
  ]
})
