import { reactive } from 'vue'
import { ROLE_TYPE } from '@/utils/dictionary.js'
import { isPhone } from '@/utils/is.js'

export const form = reactive({
  userForm: {
    realname: null,
    mobile: null,
    type: null,
    username: null,
    password: null
  },
  userRules: {
    realname: [{ required: true, message: '请输入姓名', trigger: 'blur' }],
    mobile: [
      // { required: true, message: '请输入联系电话', type: 'string', trigger: 'blur' },
      { required: true, message: '请输入正确的联系电话', pattern: /^(0|86|17951)?(13[0-9]|15[012356789]|166|17[3678]|18[0-9]|14[57])[0-9]{8}$/, trigger: 'blur' }
    ],
    type: [{ required: true, type: 'number', message: '请选择身份', trigger: 'blur' }],
    username: [{ required: true, message: '账号为英文和数字', pattern: /^[a-zA-Z0-9]+$/, trigger: 'blur' }],
    password: [{ required: true, message: '密码为6到20位的大小写英文和数字组成的', pattern: /^(?![\d]+$)(?![a-zA-Z]+$)(?![^\da-zA-Z]+$)([^\u4e00-\u9fa5\s]){6,20}$/, trigger: 'blur' }]
  },
  formItem: [
    { type: 'input', key: 'realname', label: '姓名', props: { maxlength: '5', placeholder: '请输入姓名', clearable: true }},
    { type: 'input', key: 'mobile', label: '联系电话', props: { maxlength: '20', placeholder: '请输入联系电话', clearable: true }},
    { type: 'select', key: 'type', label: '身份选择', props: { options: ROLE_TYPE, clearable: true }},
    { type: 'input', key: 'username', label: '帐号', props: { maxlength: '20', placeholder: '请输入帐号', clearable: true }},
    { type: 'input', key: 'password', label: '初始密码', props: { maxlength: '20', placeholder: '请输入初始密码', clearable: true }}
  ]
})
